forrest-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Thorsten Scherler <thors...@apache.org>
Subject Re: pdf-plugin with fop .94 - can sbdy please help?
Date Tue, 05 Feb 2008 23:12:07 GMT
On Tue, 2008-02-05 at 16:59 +0100, Ferdinand Soethe wrote:
...
> >>> There are now copies of at least "commons-logging" jars.
> >>>
> > 
> 
> Yes I know. And both issues are related.
> 
> fop requires the newer version of that lib and Forrest used 
> the older version so I was not sure what happended if I 
> removed it. I simply figured that two differently named 
> versions of a library could coexist.

May peacefully coexist, may not. We need to try if forrest works with
the new one as well and remove the old one. 

It is never a good idea to have different versions of a lib in the
classpath. You cannot assure which version will be used since it would
depend on the position in the classpath. That can lead to very ugly
bugs.

> 
> How does library calling work inside. Does the caller know 
> which version it needs an call the right library if there is 
> more than one?
> 


No. Libs are basically an aggregation of java classes in a zip. A java
class will call methods and/or classes of such an aggregation. There is
no way to determine which version of a method to use in java. 

salu2
-- 
Thorsten Scherler                                 thorsten.at.apache.org
Open Source Java                      consulting, training and solutions


Mime
View raw message